<?php
session_start();
include_once '../conexao/index.php';
date_default_timezone_set('Africa/Maputo');
$data_hora = date("Y-m-d H:i:s");

/*Variaveis do Sistema*/
/*********************************************/
$_SESSION['idUsuario'] = $_SESSION['idUsuario'];
$_SESSION['nomeUsuario'] = $_SESSION['nomeUsuario'];
$_SESSION['categoriaUsuario'] = $_SESSION['categoriaUsuario']; 

$userID = $_SESSION['idUsuario'];
$userNOME = $_SESSION['nomeUsuario'];
$userCATE = $_SESSION['categoriaUsuario'];
/*********************************************/

$cliente = $_POST['cliente'];
$disconto = $_POST['disconto'];
$prazo = $_POST['prazo'];


$sql = "SELECT MAX(ano_fiscal) as serie FROM serie_factura";
$rs = mysqli_query($db, $sql) or die(mysqli_error($db));
if (mysqli_num_rows($rs) > 0) {
	$dados = mysqli_fetch_array($rs);
	$serie = $dados['serie'];
}


$sql1 = "SELECT iva FROM clientes WHERE id = '$cliente'";
$rs1 = mysqli_query($db, $sql1) or die(mysqli_error($db));
if (mysqli_num_rows($rs1) > 0) {
	$dados1 = mysqli_fetch_array($rs1);
	$iv = $dados1['iva'];
	$sl = "SELECT percentagem FROM iva WHERE id = '$iv'";
	$r = mysqli_query($db, $sl) or die(mysqli_error($db));
	$dad = mysqli_fetch_array($r);
	$iva = $dad['percentagem'];
}


$sql2 = "SELECT SUM(total) as total FROM ct_artigos_temp WHERE user = '$userID'";
$rs2 = mysqli_query($db, $sql2) or die(mysqli_error($db));
if (mysqli_num_rows($rs2) > 0) {
	$dados2 = mysqli_fetch_array($rs2);
	$total = $dados2['total'];
	if ($total <= $disconto) {
		exit();
	}else{
		$total = $total - $disconto;
	}
	$i = $iva/100;
	$iva_incluso = $total*$i;
}else{
	echo "<script>window.location.href='cotacao.php</script>";
}


$sql3 = "INSERT INTO cotacao(`descricao`, `valor`, `iva`, `disconto`, `serie`, `prazo`, cliente, usuario) VALUES('$data_hora', '$total', '$iva_incluso', '$disconto', '$serie', '$prazo', '$cliente', '$userID')";
$rs3 = mysqli_query($db, $sql3) or die(mysqli_error($db));
if ($rs3 > 0) {
	$sql5 = "SELECT MAX(id) as id_cotacao FROM cotacao WHERE usuario = '$userID' AND cliente = '$cliente'";
	$rs5 = mysqli_query($db, $sql5) or die(mysqli_error($db));
	if (mysqli_num_rows($rs5) > 0) {
		$dados5 = mysqli_fetch_array($rs5);
		$id_cotacao = $dados5['id_cotacao'];
	}

	$sql10 = "UPDATE `clientes` SET `qtd_cotacao` = qtd_cotacao + 1 WHERE `id` = '$cliente'";
	$rs10 = mysqli_query($db, $sql10) or die(mysqli_error($db));

	$sql4 = "SELECT * FROM ct_artigos_temp WHERE user = '$userID'";
	$rs4 = mysqli_query($db, $sql4) or die(mysqli_error($db));
	while ($dados4 = mysqli_fetch_array($rs4)) {
		$artigo = $dados4['artigo'];
		$qtd = $dados4['qtd'];
		$preco = $dados4['preco'];
		$total = $dados4['total'];
		$sql6 = "INSERT INTO `ct_artigos_cotados`(`artigo`, `qtd`, `preco`, `total`, `usuario`, `cotacao`) VALUES('$artigo', '$qtd', '$preco', '$total', '$userID', '$id_cotacao')";
		$rs6 = mysqli_query($db, $sql6) or die(mysqli_error($db));

	}

	$sql8 = "DELETE FROM ct_artigos_temp WHERE user = '$userID'";
	$rs8 = mysqli_query($db, $sql8) or die(mysqli_error($db));
	if ($rs8 > 0) {
		echo $id_cotacao;
	}
}

